Премини към съдържанието
  • Добре дошли!

    Добре дошли в нашите форуми, пълни с полезна информация. Имате проблем с компютъра или телефона си? Публикувайте нова тема и ще намерите решение на всичките си проблеми. Общувайте свободно и открийте безброй нови приятели.

    Моля, регистрирайте се за да публикувате тема и да получите пълен достъп до всички функции.

     

Архивирана тема

Темата е твърде стара и е архивирана. Не можете да добавяте нови отговори в нея, но винаги можете да публикувате нова тема, в която да продължи дискусията. Регистрирайте се или влезте във вашия профил за да публикувате нова тема.

icemans

Не се стартира Х-а!

Препоръчан отговор


Пичове, осрах положението! Проблемът се появи след като реших да преинсталирам драйверите за видеокартата с вграденото "Драйвери за хардуеър" или нещо подобно беше! И друг път съм ги инсталирал от там. Не ми виждаше ТВ-то и затова реших да ги преинсталирам. Поиска рестарт и всичко започна от там. Излиза ми съобщение:

(EE) Failed to load module "type1"

(EE) Failed to load module "freetype"

(EE) NVIDIA(0): Failed to load NVIDIA kernel module

(EE) NVIDIA ***Aborting***

(EE) Screens found, but none have usable config

След избиране на ОК ми вади тези опции:

Run Ubuntu in low graphics mode for just one session ( След като го избера няма никакъв ефект - пак ме връща обратно)

Reconfigure graphics - с опции: 1:Use default config to default - След избиране - failure restoring; 2:Create new config for this hardware; 3:Use your back-up config - без ефект след избирането

Trobleshooting this problem - с опции: 1:Review the server file ; 2:Review the startup errors; 3:Edit config file; 4:Archive config and logs

Exit to console window

При последните няколко рестарта ми вадеше само

(EE) Failed to load module "type1"

(EE) Failed to load module "freetype"

и след избиране на

Run Ubuntu in low graphics mode for just one session

се оправи и после не ми го показваше.

Пробвах с recovery console, но преди мисля, че там имаше опция и за xorg, а сега не видях!

П.П.Хм! Сега май прецаках и нещо по самия конфиг файл, защото сега в началото ми излиза грешка

(EE) Error phrase config file

(EE) Unable to load config file

или нещо подобно беше!

Пробвах и това, но без ефект за сега! Може би ако испея да оправя файла някак си да се получи!

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Мисля, че се оправих. След

sudo nvidia-xconfig

рестарт след това ми излязоха само

(EE) NVIDIA(0): Failed to load NVIDIA kernel module(EE) NVIDIA ***Aborting***(EE) Screens found, but none have usable config

После от горе-споменатите опции:

Trobleshooting this problem - Edit config file

В полето "Driver" изтрих "Nvidia" и написах "nv". Рестарт и сега съм вътре! Сега ще пробвам да си инсталирам наново драйверите!

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

По този повод мога да кажа само следното: Откакто се занимавам с линукс ( е ползвал съм сериозно само Slackware където всичко се пише на ръка ) с четене , опити и различни приоми на плагиатстване си създадох един xorg.conf абсолютно проверен и стабилен , който се движи с мен винаги когато се разпростирам на нова система или се местя на ново дистро ( дебиан ) В превод искам да кажа : знам че Бунту си пише нещата сам , но моя съвет е чрез малко ( или много ) четене да си направите нещо стабилно и да си го носите с вас - каквото и да става Х сървъра ( в общия случай ) се държи по един и същи начин и не зависи от дистрото и други от този род .... а иначе - сега си в играта , но БЕЗ ускорение ...

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Хм! Сега като се опитах да си изтегля драйвери от "Система-Администриране-Драйвери за хардуер" нещо не се получи! Известно време тегли драйвера и накрая каза:

Sorry, installation of this driver failed.Please have a look at the log file for details: /var/log/jockey.log

Файла е твърде голям за публикуване - може да се изтегли от тук. Някакви идеи?

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Май нямаш инсталиран пакет linux-headers-2.6.28-11-generic (цък).

Първо се премахват драйвери с версии 180 и 185. След това DKMS прави опит да компилира модул за драйвера (версия 173.14.20), но изплюва това:

Error! Your kernel source for kernel 2.6.28-11-generic cannot be found at /lib/modules/2.6.28-11-generic/build or /lib/modules/2.6.28-11-generic/source.
и към края това:

Package linux-headers-2.6.28-11-generic does not exist, aborting

Ако се съди по версията на ядрото, става въпрос за Ubuntu 9.04, а също става ясно, че системата не е ъпдейтвана. При мен, в момента, ядрото е това:

trosho@ubuntu:~$ uname -r
2.6.28-17-generic
А ако се съди по версията на драйверите, които се опитва да инсталира, картата (най-вероятно) е някой GeForce от 5-та серия.

Бих те посъветвал първо да ъпдейтнеш системата и тогава да пробваш отново.


Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Ами trosho по принцип май имам проблеми със звука, а сега гледам, че и със видеото явно след като обнових до 9.10. По Принцип имам инсталирано Кубунту, но имам и Гноме- сега съм с него. Версията на ядрото е 2.6.28-11-generic. След sudo apt-get update няма подобрение. Видеото е Nvidia GEForce 9500 и по принцип преди нямах проблеми нито с видеото, нито с аудиото.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Пич,преди да ъпгрейднеш до 9.10 деинсталира ли драйверите?Ако не си,омазал си яко... Отвори синаптик-а,напиши nvidia,деинсталирай всичко на което има отметка,затвори го,отвори терминал и напиши sudo apt-get autoremove , след това рестартирай,ъпдейтвай и пак инсталирай драйверите!Късмет!

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Ами trosho по принцип май имам проблеми със звука, а сега гледам, че и със видеото явно след като обнових до 9.10. По Принцип имам инсталирано Кубунту, но имам и Гноме- сега съм с него. Версията на ядрото е 2.6.28-11-generic. След sudo apt-get update няма подобрение. Видеото е Nvidia GEForce 9500 и по принцип преди нямах проблеми нито с видеото, нито с аудиото.

Ако си ъпгрейдвал до Ubuntu 9.10 и си с това ядро, тогава е възможно ъпгрейда да не е протекъл съвсем успешно.

Заради такива проблеми, поне аз, не правя ъпгрейд на версията, а инсталирам "на чисто". Тъй като не ползвам много софтуер, при мен не е проблем да си направя настройките отново.

В случая не знам какво точно да ти предложа. Крайният вариант е да запазиш данните си и да направиш нова инсталация. Но ако не е спешно, може да изчакаш и друго мнение. Да се надяваме, че още хора ще се включат в темата.

Ще редактирам след малко поста, за да пусна версията на ядрото при 9.10.

Ето какво показва към момента:

trosho@ubuntu:~$ uname -r
2.6.31-17-generic
Докато съм писал, spacy00001 е предложил нещо. Опитай го.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Прекомпилирай си ядрото, като нацъкаш всички необходими модули. След това генерирай хедъри и изкомпилирай нвидия драйвера. Схемата е безупречна. Аз години наред така карах.

Ето тук съм описал как се прави. :)

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

spacy00001, преди да ъпдейтна до 9.10 - драйвери си имаше. Ще пробвам това което си дал. Progres, ще разгледам и твоя вариант! Благодаря! А иначе ъпдейтнах, защото ми се стори нормално, но ще го имам в предвид вече!

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Да,ама като се прави ъпгреид драйвера на nvidia се маха,винаги дава грешка след рестарта(low graphig mode нещо си) ,има проблем със съвместимоста между стар драйвер и ново ядро,затова първо ядрото(ъпгрейда),после драйвера....

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Добре - тези подробности не ги знам - човек се учи от грешките си! От по-горе посоченото от теб(spacy00001) няма ефект. Сега като отида на "Драйвери за хардуер" ми казва, че "На системата не се използват лицензни драйвери". Какво да го правя?

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Отиди програми-управление на софтуер,напиши в търсачката nvidia и инсталирай nvidia двоичен x.org драйвер и hardware drivers...

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

В Synaptic не намирам подобни пакети:Публикувано изображение

Сподели този отговор


Линк към този отговор
Сподели в други сайтове
trosho, сега гледам, че в /usr/src имам две папки - linux-headers-2.6.31-17 и linux-headers-2.6.31-17-generic! Това не означава ли, че има инсталирано ядро 2.6.31 и защо като стартирам системата ми дава само 2.6.28-11-generic?

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

trosho, сега гледам, че в /usr/src имам две папки - linux-headers-2.6.31-17 и linux-headers-2.6.31-17-generic! Това не означава ли, че има инсталирано ядро 2.6.31 и защо като стартирам системата ми дава само 2.6.28-11-generic?

В /boot какво имаш? За стартирането може да ти е само за едното след като няма направен запис в grub.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

trosho, сега гледам, че в /usr/src имам две папки - linux-headers-2.6.31-17 и linux-headers-2.6.31-17-generic! Това не означава ли, че има инсталирано ядро 2.6.31 и защо като стартирам системата ми дава само 2.6.28-11-generic?

Виж първо това, което е казал ALEXIAN.

При ъпгрейд към Ubuntu 9.10 имаше някаква особеност при смяната на Grub1 с Grub2. Май беше писано за нея в release notes.

Ами имам някакви файлове съдържащи 2.6.28-11, 2.6.31-14, 2.6.31-17 - файловете започват с abi, config, initrd.img, system.map, vmcoreinfo - кое по-точно да гледам? А в grub/menu.list имам записи само за 2.6.28-11!

Дай изход от команда "ls" в онази директория, за да се види точното съдържание. Може да покажеш и съдържанието на /boot/grub, както и на файлове /boot/grub/menu.lst и /boot/grub/grub.cfg (ако ги има и двата) .

Аз съм out за час-два, но после ще търсим нередности, ако някой вече не се е отзовал.

Най-вероятно е проблем с Grub и зареждане на старо ядро.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Ами имам някакви файлове съдържащи 2.6.28-11, 2.6.31-14, 2.6.31-17 - файловете започват с abi, config, initrd.img, system.map, vmcoreinfo - кое по-точно да гледам? А в grub/menu.list имам записи само за 2.6.28-11!

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Ами имам някакви файлове съдържащи 2.6.28-11, 2.6.31-14, 2.6.31-17 - файловете започват с abi, config, initrd.img, system.map, vmcoreinfo - кое по-точно да гледам? А в grub/menu.list имам записи само за 2.6.28-11!

За да няма догадки и да не оплескаме нещата би ли изпълнил:

# ls -R /boot > /home/user/Desktop/boot_list.txt
# chmod 777 /home/user/Desktop/boot_list.txt
Изхода ще ти се запише в boot_list.txt дай линк или го прикачи тук *txt файла.

Втората команда е да дадеш права 777 защото иначе няма да имаш права над файла.

Независимо с кой груб си, нещата се оправят за нула време с ъбдейт на груб-а, но трябва да знаеш точно кой е твоят.

Ако си с grub1 виж записите в /boot/grub/menu.lst.

Ако си с grub2 виж записа в /boot/grub/grub.cfg.

Принципно мисля, че след ъбдейта нещо не ти е съвсем както трябва по отношение на груб, още повече, че минаваш от grub към grub2.

edit: Я виж направо какво е писал trosho тук :wors:

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

/boot:abi-2.6.28-11-genericabi-2.6.31-14-genericabi-2.6.31-17-genericconfig-2.6.28-11-genericconfig-2.6.31-14-genericconfig-2.6.31-17-genericgrubinitrd.img-2.6.28-11-genericinitrd.img-2.6.31-14-genericinitrd.img-2.6.31-17-genericmemtest86+.binSystem.map-2.6.28-11-genericSystem.map-2.6.31-14-genericSystem.map-2.6.31-17-genericvmcoreinfo-2.6.28-11-genericvmcoreinfo-2.6.31-14-genericvmcoreinfo-2.6.31-17-genericvmlinuz-2.6.28-11-genericvmlinuz-2.6.31-14-genericvmlinuz-2.6.31-17-generic/boot/grub:defaultdevice.mape2fs_stage1_5fat_stage1_5grubenvinstalled-versionjfs_stage1_5menu.lstmenu.lst~minix_stage1_5reiserfs_stage1_5stage1stage2xfs_stage1_5

Ами на единия ми проблем с този форум и Опера-та - ето как ми ги показва, а не както съм ги поставил! Но това е за друга тема! Прикачил съм файла!

boot_list.txt

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Имаш не едно а три ядра.

Със стария груб си и може да изпълниш

# update-grub
след което да видиш записа в /boot/grub/menu.lst дали са появили трите ядра.

Ако искаш да имаш новия grub слагаш го него през синаптик за по лесно. Чел съм разни проблеми след миграцията от grub -> grub2 приготви си евентуално едно сд на 9.10 за да можеш да влезнеш в конзолата и да го преинсталираш grub2 ако нещо вземе, че сгъне.

Виж от предишният ми пост едита към един коментар, там е описано как се случва и ако минеш на grub2 чети преди рестарт в /boot/grub/grub.cfg какво има, дали е правилно, сравни UUID с

# blkid
ей така, за всеки случай.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Ами аз бях пробвал update-grub, но нищо не се получи! Т.е. след рестарт пак ми показва само старото ядро?!

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Честно да ти кажа не може да не се осъществява записа. С root права ли го правиш това?

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Тогава трябва да покажеш съдържанието на /boot/grub/menu.lst, за да се види дали нещо не му е в ред. Ще може и да се посочи къде и как да го редактираш, за да добавиш възможност за стартиране на новото ядро. При него, ако стартира, ще се види дали има проблем с инсталирането на драйверите.

А в един от линковете в този пост е отбелязано:

Existing systems will not be upgraded to GRUB 2 at this time, as automatically reinstalling the boot loader is an inherently risky operation.

Даден е линк към тази страница, където е описан начинът за тестване на Grub2. Но това може да се пробва по-късно.

ПП.

И за да не оплескаме съвсем нещата:

...приготви си евентуално едно сд на 9.10 за да можеш да влезнеш в конзолата и да го преинсталираш grub2 ако нещо вземе, че сгъне.

А според мен, всички проблеми са тръгнали от там, че не е ъпдейтвано до последно, преди да се пристъпи към ъпгрейд към следваща версия.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Ясно ми е, че нещо не съм направил както трябва, но просто нямам много опит и като дойде нещо по линията се съгласявам! Не знам, но не се получи нещо с ъпдейта:

~$ sudo update-grub

[sudo] password for validob:

Searching for GRUB installation directory ... found: /boot/grub

Searching for default file ... found: /boot/grub/default

Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst

Searching for splash image ... none found, skipping ...

Found kernel: /boot/vmlinuz-2.6.31-17-generic

Found kernel: /boot/vmlinuz-2.6.31-14-generic

Found kernel: /boot/vmlinuz-2.6.28-11-generic

Found kernel: /boot/memtest86+.bin

Updating /boot/grub/menu.lst ... done

Прикачам и menu.lst!

menu.txt

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

×
×
  • Добави ново...